package com.hh.arome.bean;


import com.common.lib_base.utils.StringUtils;
import com.hh.arome.common.Constants;

/**
 * 修改了
 * trade
 * groupId
 * isMirror
 * isDisplayMirror
 */
public class DeviceConfigResultBean {

    String token = Constants.Value.TOKEN;

    private String sn;
    private String companyName;
    private String applicationType;
    private String deviceModelHardware;
    private String deviceModelEnvironment;
    private String systemType;
    private String ampeName;
    private String tenantName;
    private String userLibName;
    private String sceneName;
    private String mode;
    private boolean useAlipayFace = true;
    private boolean useIdcard = true;
    // 身份证阅读器模式 1-在线身份证(默认) 2-离线身份证
    private int idNumberReaderType = 1;
    private boolean useQrcode = true;
    private String heartTrackingUrl;
    private String mpassword;
    private boolean hideNavigationBar;
    private boolean forbidPullDown;
    private boolean autoLaunch;
    private boolean automaticEnterApplet;
    private String startPageUrl;
    private String homePageUrl;
    private int displayAngle;
    private int algorithmAngle;
    private int supAlgorithmAngle;
    private boolean isDisplayMirror = true;
    private boolean isMirror = false;
    private String productId;
    private String hostAppId;
    private String appId = "2021004108608975";
    private String appName;
    private String signature;
    private String serviceAddress;
    private Object appAuthToken;
    private boolean appAuthTokenStatus;
    private boolean thirdAuth;
    private String trade = "GOVERNMENT";
    String groupId = null;
    boolean isAppGetUserInfo;

    private String machineAppId = "2021004113614021";
    // abcpAppId 对应 之前的MachineAppId，abcp刷脸的machineAppId
    String abcpAppId = "2021004113614021";
    // abcp刷脸的merchantAppId
    private String serviceAppId = "2021003181682188";
    // ampeAppid 对应 初始化ampe中的hostappid
    String ampeAppid;
    //  miniProgramAppid 对应 之前的AppId，即小程序id
    String miniProgramAppid;


    // 品牌 Normal-通用 Mario-马里奥
    String cameraBrand;

    String cameraType;


    public boolean isAppGetUserInfo() {
        return isAppGetUserInfo;
    }

    public void setAppGetUserInfo(boolean appGetUserInfo) {
        isAppGetUserInfo = appGetUserInfo;
    }

    public String getCameraBrand() {
        return cameraBrand;
    }

    public void setCameraBrand(String cameraBrand) {
        this.cameraBrand = cameraBrand;
    }

    public String getCameraType() {
        return cameraType;
    }

    public void setCameraType(String cameraType) {
        this.cameraType = cameraType;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getAmpeAppid() {
        return ampeAppid;
    }

    public void setAmpeAppid(String ampeAppid) {
        this.ampeAppid = ampeAppid;
    }

    public String getMiniProgramAppid() {
        return miniProgramAppid;
    }

    public void setMiniProgramAppid(String miniProgramAppid) {
        this.miniProgramAppid = miniProgramAppid;
    }

    public String getAbcpAppId() {
        return abcpAppId;
    }

    public void setAbcpAppId(String abcpAppId) {
        this.abcpAppId = abcpAppId;
    }

    public boolean isDisplayMirror() {
        return isDisplayMirror;
//        return true;
    }

    public void setDisplayMirror(boolean displayMirror) {
        isDisplayMirror = displayMirror;
    }

    //    public boolean isIsDisplayMirror() {
//        return true;
////        return isDisplayMirror;
//    }

    public void setIsDisplayMirror(boolean isDisplayMirror) {
        this.isDisplayMirror = isDisplayMirror;
    }

    public boolean isMirror() {
        return isMirror;
//        return false;
    }

    public void setMirror(boolean mirror) {
        isMirror = mirror;
    }

    //    public boolean isIsMirror() {
////        return isMirror;
//        return false;
//    }
//
    public void setIsMirror(boolean isMirror) {
        this.isMirror = isMirror;
    }

    public String getGroupId() {
        return groupId;
//        return null;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId;
    }


    public String getTrade() {
        if(StringUtils.isNull(trade)){
            return "GOVERNMENT";
        }
        return trade;
    }

    public void setTrade(String trade) {
        this.trade = trade;
    }


    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getApplicationType() {
        return applicationType;
    }

    public void setApplicationType(String applicationType) {
        this.applicationType = applicationType;
    }

    public String getDeviceModelHardware() {
        return deviceModelHardware;
    }

    public void setDeviceModelHardware(String deviceModelHardware) {
        this.deviceModelHardware = deviceModelHardware;
    }

    public String getDeviceModelEnvironment() {
        return deviceModelEnvironment;
    }

    public void setDeviceModelEnvironment(String deviceModelEnvironment) {
        this.deviceModelEnvironment = deviceModelEnvironment;
    }

    public String getSystemType() {
        return systemType;
    }

    public void setSystemType(String systemType) {
        this.systemType = systemType;
    }

    public String getAmpeName() {
        return ampeName;
    }

    public void setAmpeName(String ampeName) {
        this.ampeName = ampeName;
    }

    public String getTenantName() {
        return tenantName;
    }

    public void setTenantName(String tenantName) {
        this.tenantName = tenantName;
    }

    public String getUserLibName() {
        return userLibName;
    }

    public void setUserLibName(String userLibName) {
        this.userLibName = userLibName;
    }

    public String getSceneName() {
        return sceneName;
    }

    public void setSceneName(String sceneName) {
        this.sceneName = sceneName;
    }

    public String getMode() {
        return mode;
    }

    public void setMode(String mode) {
        this.mode = mode;
    }

    public boolean isUseAlipayFace() {
        return useAlipayFace;
    }

    public void setUseAlipayFace(boolean useAlipayFace) {
        this.useAlipayFace = useAlipayFace;
    }

    public boolean isUseIdcard() {
        return useIdcard;
    }

    public void setUseIdcard(boolean useIdcard) {
        this.useIdcard = useIdcard;
    }

    public int getIdNumberReaderType() {
        return idNumberReaderType;
    }

    public void setIdNumberReaderType(int idNumberReaderType) {
        this.idNumberReaderType = idNumberReaderType;
    }

    public boolean isUseQrcode() {
        return useQrcode;
    }

    public void setUseQrcode(boolean useQrcode) {
        this.useQrcode = useQrcode;
    }

    public String getHeartTrackingUrl() {
        return heartTrackingUrl;
    }

    public void setHeartTrackingUrl(String heartTrackingUrl) {
        this.heartTrackingUrl = heartTrackingUrl;
    }

    public String getMpassword() {
        return mpassword;
    }

    public void setMpassword(String mpassword) {
        this.mpassword = mpassword;
    }

    public boolean isHideNavigationBar() {
        return hideNavigationBar;
    }

    public void setHideNavigationBar(boolean hideNavigationBar) {
        this.hideNavigationBar = hideNavigationBar;
    }

    public boolean isForbidPullDown() {
        return forbidPullDown;
    }

    public void setForbidPullDown(boolean forbidPullDown) {
        this.forbidPullDown = forbidPullDown;
    }

    public boolean isAutoLaunch() {
        return autoLaunch;
    }

    public void setAutoLaunch(boolean autoLaunch) {
        this.autoLaunch = autoLaunch;
    }

    public boolean isAutomaticEnterApplet() {
        return automaticEnterApplet;
    }

    public void setAutomaticEnterApplet(boolean automaticEnterApplet) {
        this.automaticEnterApplet = automaticEnterApplet;
    }

    public String getStartPageUrl() {
        return startPageUrl;
    }

    public void setStartPageUrl(String startPageUrl) {
        this.startPageUrl = startPageUrl;
    }

    public String getHomePageUrl() {
        return homePageUrl;
    }

    public void setHomePageUrl(String homePageUrl) {
        this.homePageUrl = homePageUrl;
    }

    public int getDisplayAngle() {
        return displayAngle;
    }

    public void setDisplayAngle(int displayAngle) {
        this.displayAngle = displayAngle;
    }

    public int getAlgorithmAngle() {
        return algorithmAngle;
    }

    public void setAlgorithmAngle(int algorithmAngle) {
        this.algorithmAngle = algorithmAngle;
    }

    public int getSupAlgorithmAngle() {
        return supAlgorithmAngle;
    }

    public void setSupAlgorithmAngle(int supAlgorithmAngle) {
        this.supAlgorithmAngle = supAlgorithmAngle;
    }





    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getHostAppId() {
        return hostAppId;
    }

    public void setHostAppId(String hostAppId) {
        this.hostAppId = hostAppId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getSignature() {
        return signature;
    }

    public void setSignature(String signature) {
        this.signature = signature;
    }

    public String getMachineAppId() {
        return machineAppId;
    }

    public void setMachineAppId(String machineAppId) {
        this.machineAppId = machineAppId;
    }

    public String getServiceAppId() {
        return serviceAppId;
    }

    public void setServiceAppId(String serviceAppId) {
        this.serviceAppId = serviceAppId;
    }

    public String getServiceAddress() {
        return serviceAddress;
    }

    public void setServiceAddress(String serviceAddress) {
        this.serviceAddress = serviceAddress;
    }

    public Object getAppAuthToken() {
        return appAuthToken;
    }

    public void setAppAuthToken(Object appAuthToken) {
        this.appAuthToken = appAuthToken;
    }

    public boolean isAppAuthTokenStatus() {
        return appAuthTokenStatus;
    }

    public void setAppAuthTokenStatus(boolean appAuthTokenStatus) {
        this.appAuthTokenStatus = appAuthTokenStatus;
    }

    public boolean isThirdAuth() {
        return thirdAuth;
    }

    public void setThirdAuth(boolean thirdAuth) {
        this.thirdAuth = thirdAuth;
    }


    @Override
    public String toString() {
        return "DeviceConfigResultBean{" +
                "token='" + token + '\'' +
                ", sn='" + sn + '\'' +
                ", companyName='" + companyName + '\'' +
                ", applicationType='" + applicationType + '\'' +
                ", deviceModelHardware='" + deviceModelHardware + '\'' +
                ", deviceModelEnvironment='" + deviceModelEnvironment + '\'' +
                ", systemType='" + systemType + '\'' +
                ", ampeName='" + ampeName + '\'' +
                ", tenantName='" + tenantName + '\'' +
                ", userLibName='" + userLibName + '\'' +
                ", sceneName='" + sceneName + '\'' +
                ", mode='" + mode + '\'' +
                ", useAlipayFace=" + useAlipayFace +
                ", useIdcard=" + useIdcard +
                ", idNumberReaderType=" + idNumberReaderType +
                ", useQrcode=" + useQrcode +
                ", heartTrackingUrl='" + heartTrackingUrl + '\'' +
                ", mpassword='" + mpassword + '\'' +
                ", hideNavigationBar=" + hideNavigationBar +
                ", forbidPullDown=" + forbidPullDown +
                ", autoLaunch=" + autoLaunch +
                ", automaticEnterApplet=" + automaticEnterApplet +
                ", startPageUrl='" + startPageUrl + '\'' +
                ", homePageUrl='" + homePageUrl + '\'' +
                ", displayAngle=" + displayAngle +
                ", algorithmAngle=" + algorithmAngle +
                ", supAlgorithmAngle=" + supAlgorithmAngle +
                ", isDisplayMirror=" + isDisplayMirror +
                ", isMirror=" + isMirror +
                ", productId='" + productId + '\'' +
                ", hostAppId='" + hostAppId + '\'' +
                ", appId='" + appId + '\'' +
                ", appName='" + appName + '\'' +
                ", signature='" + signature + '\'' +
                ", machineAppId='" + machineAppId + '\'' +
                ", serviceAppId='" + serviceAppId + '\'' +
                ", serviceAddress='" + serviceAddress + '\'' +
                ", appAuthToken=" + appAuthToken +
                ", appAuthTokenStatus=" + appAuthTokenStatus +
                ", thirdAuth=" + thirdAuth +
                ", trade='" + trade + '\'' +
                ", groupId='" + groupId + '\'' +
                ", isAppGetUserInfo=" + isAppGetUserInfo +
                ", cameraBrand='" + cameraBrand + '\'' +
                ", cameraType='" + cameraType + '\'' +
                ", ampeAppid='" + ampeAppid + '\'' +
                ", miniProgramAppid='" + miniProgramAppid + '\'' +
                ", abcpAppId='" + abcpAppId + '\'' +
                '}';
    }
}
